Brivio API reference
Fleet

List fleet vehicles, by plate (scope: fleet:read)

GET
/fleet/vehicles

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer
perPage?integer

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/fleet/vehicles"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "plate": "string",      "vin": "string",      "make": "string",      "model": "string",      "year": 0,      "category": "CAR",      "fuel_type": "PETROL",      "status": "ACTIVE",      "odometer_km": 0,      "itp_expires_at": "2019-08-24",      "rca_expires_at": "2019-08-24",      "casco_expires_at": "2019-08-24",      "rovinieta_expires_at": "2019-08-24",      "tahograf_expires_at": "2019-08-24",      "copie_conforma_expires_at": "2019-08-24",      "first_aid_kit_expires_at": "2019-08-24",      "extinguisher_expires_at": "2019-08-24",      "assigned_driver_id": "47d93e57-9eb7-4f87-a947-9f2c96fb3816",      "rca_provider": "string",      "casco_provider": "string",      "rca_policy_number": "string",      "casco_policy_number": "string",      "service_interval_km": 0,      "service_interval_months": 0,      "acquisition_date": "2019-08-24",      "acquisition_value": "string",      "acquisition_currency": "string",      "depreciation_months": 0,      "residual_value": "string",      "leasing_company": "string",      "leasing_ends_at": "2019-08-24",      "notes": "string",      "registry_vehicle_id": "c6077057-2cd3-46d3-b832-50e86a70ca9b",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}